libzip-ocaml_1.05-3_i386.deb


Advertisement

Description

libzip-ocaml - OCaml compression libraries (runtime libraries)

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name libzip-ocaml
Package version 1.05
Package release 3
Package architecture i386
Package type deb
Installed size 252 B
Download size 68.63 KB
Official Mirror ftp.br.debian.org
This Objective Caml library provides easy access to compressed files in ZIP
and GZIP format, as well as to Java JAR files.  It provides functions
for reading from and writing to compressed files in these formats.
This package contains only the shared runtime stub libraries.

Alternatives

Package Version Architecture Repository
libzip-ocaml_1.05-3_amd64.deb 1.05 amd64 Debian Main
libzip-ocaml - - -

Requires

Name Value
libc6 >= 2.1.3
ocaml-base-nox-4.01.0 -
zlib1g >= 1:1.1.4

Provides

Name Value
libzip-ocaml-c2zg6 -

Conflicts

Name Value
libzip-ocaml-dev << 1.04-4

Replaces

Name Value
libzip-ocaml-dev << 1.04-4

Download

Type URL
Binary Package libzip-ocaml_1.05-3_i386.deb
Source Package camlzip

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libzip-ocaml deb package:
    # sudo apt-get install libzip-ocaml

Files

Path
/usr/lib/ocaml/stublibs/dllcamlzip.so
/usr/lib/ocaml/zip/META
/usr/lib/ocaml/zip/zip.cma
/usr/lib/ocaml/zip/zip.cmxs
/usr/share/doc/libzip-ocaml/README
/usr/share/doc/libzip-ocaml/changelog.Debian.gz
/usr/share/doc/libzip-ocaml/changelog.gz
/usr/share/doc/libzip-ocaml/copyright

Changelog

2013-12-02 - Stéphane Glondu <glondu@debian.org>
camlzip (1.05-3) unstable; urgency=low
* Upload to unstable
2013-07-25 - Stéphane Glondu <glondu@debian.org>
camlzip (1.05-2) experimental; urgency=low
* Compile with OCaml >= 4
2013-05-14 - Ralf Treinen <treinen@debian.org>
camlzip (1.05-1) unstable; urgency=low
[ Ralf Treinen ]
* New upstream version
* use upstream's META file instead our own
* debian/copyright: machine-readable format 1.0. Fix year, and
copyright holder.
* source format 3.0 (quilt):
- add debian/source/format
- drop build-dependency on quilt
- drop quilt addon from dh invocation
* Standards-Version 3.9.4 (no change)
* Update debian/watch (ocamlforge)
* Fix typo in long description of libzip-ocaml-dev.
* Remove Sven Luther from Uploaders (closes:#677754)
[ Stéphane Glondu ]
* Fix generation of documentation by dh_ocamldoc
[ Stefano Zacchiroli ]
* remove myself from Uploaders
[ Sylvain Le Gall ]
* Remove Sylvain Le Gall from uploaders
2009-09-29 - Stéphane Glondu <glondu@debian.org>
camlzip (1.04-6) unstable; urgency=low
* Switch patches to quilt
* debian/rules, debian/control:
- switch to dh+overrides and dh-ocaml 0.9
- update versioned dependencies to debhelper, quilt, dh-ocaml and
ocaml
2009-09-08 - Stéphane Glondu <glondu@debian.org>
camlzip (1.04-5) unstable; urgency=low
* Fix version field in META file
* Add README.source
* debian/control:
- update Standards-Version to 3.8.3
- update Conflicts/Replaces for libzip-ocaml
- update my e-mail address and remove DMUA
2009-04-14 - Stephane Glondu <steph@glondu.net>
camlzip (1.04-4) unstable; urgency=low
* Install zip.a along with zip.cmxa (Closes: #524017)
2009-04-12 - Stephane Glondu <steph@glondu.net>
camlzip (1.04-3) unstable; urgency=low
* Add myself to Uploaders and DMUA
* Move to new archive section ocaml
* Discriminate binary packages in short descriptions
* Move .cma and META to libzip-ocaml, build .cmxs
* Add Homepage field to debian/control
* Bump Standards-Version to 3.8.1
2009-02-24 - Samuel Mimram <smimram@debian.org>
camlzip (1.04-2) unstable; urgency=low
[ Stephane Glondu ]
* Switch packaging to git
[ Samuel Mimram ]
* Use dh-ocaml's predefined variables.
2009-02-10 - Samuel Mimram <smimram@debian.org>
camlzip (1.04-1) experimental; urgency=low
[ Stefano Zacchiroli ]
* debian/copyright: mention the usual OCaml linking exception to LGPL
[ Samuel Mimram ]
* New upstream release.
* Build-depend on dh-ocaml.
* Updated compat to 7.
* Refreshed uncompress.dpatch.
* Updated standards version to 3.8.0.
* Version LGPL reference.
2008-04-07 - Ralf Treinen <treinen@debian.org>
camlzip (1.03-7) experimental; urgency=low
[ Stefano Zacchiroli ]
* fix vcs-svn field to point just above the debian/ dir
[ Ralf Treinen ]
* Recompile with ocaml 3.10.2
* Capitalization error in short package description
* Standards-Version 3.7.3 (no change)
* Added myself to Uploaders.

See Also

Package Description
libzip2_0.11.2-1.2_i386.deb library for reading, creating, and modifying zip archives (runtime)
libzipios++-dev_0.1.5.9+cvs.2007.04.28-5.1_i386.deb a small C++ library for reading zip files (development)
libzipios++-doc_0.1.5.9+cvs.2007.04.28-5.1_all.deb a small C++ library for reading zip files (documents)
libzipios++0c2a_0.1.5.9+cvs.2007.04.28-5.1_i386.deb a small C++ library for reading zip files (library)
libzita-alsa-pcmi-dev_0.2.0-2_i386.deb Development files (headers) for libzita-alsa-pcmi library
libzita-alsa-pcmi0_0.2.0-2_i386.deb C++ wrapper around the ALSA API
libzita-convolver-dev_3.1.0-4_i386.deb Development files (headers) for libzita-convolver library
libzita-convolver3_3.1.0-4_i386.deb C++ library implementing a real-time convolution matrix
libzita-resampler-dev_1.3.0-2_i386.deb Development files (headers) for libzita-resampler library
libzita-resampler-doc_1.3.0-2_all.deb Developers reference for libzita-resampler library
libzita-resampler1_1.3.0-2_i386.deb C++ library for resampling audio signals
libzlcore-data_0.12.10dfsg-9.1_all.deb ZLibrary cross-platform development library (support files)
libzlcore-dev_0.12.10dfsg-9.1+b1_i386.deb ZLibrary cross-platform development library (development files)
libzlcore0.12_0.12.10dfsg-9.1+b1_i386.deb ZLibrary cross-platform development library (shared library)
libzltext-data_0.12.10dfsg-9.1_all.deb ZLibrary text model/viewer part (support files)
Advertisement
Advertisement